Bug 1294321 - Unowned mysqlclient-*.egg-info dirs
Summary: Unowned mysqlclient-*.egg-info dirs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-mysql
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Dorňák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-26 23:18 UTC by Ville Skyttä
Modified: 2016-12-01 00:59 UTC (History)
2 users (show)

Fixed In Version: python-mysql-1.3.7-4.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-03 20:26:12 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2015-12-26 23:18:45 UTC
python3-mysql installs files into /usr/lib64/python3.4/site-packages/mysqlclient-1.3.7-py3.4.egg-info but does not own the dir:

$ rpm -qf /usr/lib64/python3.4/site-packages/mysqlclient-1.3.7-py3.4.egg-info
file /usr/lib64/python3.4/site-packages/mysqlclient-1.3.7-py3.4.egg-info is not owned by any package
$ rpm -qf /usr/lib64/python3.4/site-packages/mysqlclient-1.3.7-py3.4.egg-info/*
python3-mysql-1.3.7-1.fc23.x86_64
[...]

Looks like this is intentionally done in the specfile:

sed -i /\.egg-info$/d INSTALLED_FILES_?

There's no rationale for that specified, I suppose the line should be just removed.

Comment 2 Fedora Update System 2016-02-22 16:38:31 UTC
python-mysql-1.3.7-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-eca3958656

Comment 3 Fedora Update System 2016-02-24 21:52:41 UTC
python-mysql-1.3.7-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-eca3958656

Comment 4 Fedora Update System 2016-03-03 20:26:07 UTC
python-mysql-1.3.7-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.